for (let d of document.querySelectorAll("div")) {
    let label = d.querySelectorAll("label"),
	input = d.querySelectorAll("input"), len=input.length;
    for (let i=0; i<len; i++) {
	let rnd = Math.floor(len*Math.random());
	// input:checked + label のCSS規則が生きるように
	// input, label がくっついて並ぶように入れ替える
	d.appendChild(input[rnd]); // すでにいる子供をappendChildすると
	d.appendChild(label[rnd]); // 末尾に移動する
    }
}